Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class Transfer

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.Transfer

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class Transfer

extends Object
implements Serializable

Java class for TransferType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransferType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsuranceOrg" minOccurs="0"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}TransferDate"/>
           </sequence>
           <attribute name="Direction" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}TransferDirectionType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Transfer()`

Method Summary
`TransferDirectionType` | `getDirection()` Gets the value of the direction property.
`String` | `getInsuranceOrg()` The code of the insurance organisation to/from who the care receivers transfered.
`org.joda.time.DateTime` | `getTransferDate()` The date that the transfer took place.
`void` | `setDirection(TransferDirectionType value)` Sets the value of the direction property.
`void` | `setInsuranceOrg(String value)` Sets the value of the insuranceOrg property.
`void` | `setTransferDate(org.joda.time.DateTime value)` Sets the value of the transferDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transfer

    public Transfer()

Method Detail

### getInsuranceOrg

    public String getInsuranceOrg()

  The code of the insurance organisation to/from who the care receivers transfered.

  Returns:
    possible object is `String`

### setInsuranceOrg

    public void setInsuranceOrg(String value)

  Sets the value of the insuranceOrg property.

  Parameters:
    `value` - allowed object is `String`

### getTransferDate

    public org.joda.time.DateTime getTransferDate()

  The date that the transfer took place.

  Returns:
    possible object is `String`

### setTransferDate

    public void setTransferDate(org.joda.time.DateTime value)

  Sets the value of the transferDate property.

  Parameters:
    `value` - allowed object is `String`

### getDirection

    public TransferDirectionType getDirection()

  Gets the value of the direction property.

  Returns:
    possible object is `TransferDirectionType`

### setDirection

    public void setDirection(TransferDirectionType value)

  Sets the value of the direction property.

  Parameters:
    `value` - allowed object is `TransferDirectionType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.